org.apache.tinkerpop.gremlin.driver.ser

## Class RequestMessageGryoSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.RequestMessageGryoSerializer

- All Implemented Interfaces:
    SerializerShim<RequestMessage>

      public class RequestMessageGryoSerializer
      extends Object
      implements SerializerShim<RequestMessage>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestMessageGryoSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> RequestMessage` | `read(KryoShim<I,?> kryo, I input, Class<RequestMessage> aClass)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, RequestMessage requestMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### RequestMessageGryoSerializer

          public RequestMessageGryoSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   RequestMessage requestMessage)

      Specified by:
        `write` in interface `SerializerShim<RequestMessage>`

    - #### read

          public <I extends InputShim> RequestMessage read(KryoShim<I,?> kryo,
                                                           I input,
                                                           Class<RequestMessage> aClass)

      Specified by:
        `read` in interface `SerializerShim<RequestMessage>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.